{% spaceless %}{% load site_configs_tags %}
{% load yandex_market_api %}
{% load purchase_info_tags %}
{% load thumbnail %}
{% get_configs 'common.Settings' as settings %}
{% endspaceless %}<?xml version="1.0" encoding="UTF-8"?>
<rss version="2.0" xmlns:g="http://base.google.com/ns/1.0">
    <channel>
        <title>Addwine Feed</title>
        <link>{{ request.scheme }}://{{ request.get_host }}</link>
        <description>Список товаров участвующих в программе Google Merchant</description>

        {% for product in products %}
            {% purchase_info_for_product request product as session %}
            {% with session.price as price %}
            {% with session.availability.is_available_to_buy as is_available_to_buy %}
            {% with price.has_range_discount as has_range_discount %}
            {% with product.categories.first as category %}
            {% if category %}
            {% if is_available_to_buy %}
            <item>
                <g:id>{{ product.id }}</g:id>
                <g:title>{{ product.get_title }}</g:title>
                <g:description><![CDATA[{{ product.description|yandex_api_process_text|safe }}]]></g:description>
                <g:link>{{ request.scheme }}://{{ request.get_host }}{{ product.get_absolute_url }}</g:link>
                {% thumbnail product.primary_image.original "650" padding=True as thumb %}
                     <g:image_link>{{ request.scheme }}://{{ request.get_host }}{{ thumb.url }} </g:image_link>
                {% endthumbnail %}
                <g:mpn>{{ product.upc }}</g:mpn>
                {% if product.attr.proizvoditel  %}
                    <g:brand>{{ product.attr.proizvoditel }}</g:brand>
                {% endif %}
                {% if product.gtin  %}
                    <g:gtin>{{ product.gtin }}</g:gtin>
                {% endif %}
                <g:condition>new</g:condition>
                <g:availability>in stock</g:availability>
                {% if has_range_discount %}
                    <g:price>
                        {% if price.is_tax_know %}
                            {{ price.incl_range_discount_incl_tax|floatformat:0 }} RUB
                        {% else %}
                            {{ price.incl_range_discount_excl_tax|floatformat:0 }} RUB
                        {% endif %}
                    </g:price>
                {% else %}
                    <g:price>
                    {% if price.is_tax_know %}
                        {{ price.incl_tax|floatformat:0 }} RUB
                    {% else %}
                        {{ price.excl_tax|floatformat:0 }} RUB
                    {% endif %}
                    </g:price>
                {% endif %}
            </item>
            {% endif %}
            {% endif %}
            {% endwith %}
            {% endwith %}
            {% endwith %}
            {% endwith %}
        {% endfor %}
    </channel>
</rss>
